package com.yonge.cooleshow.bbs.dto.search;

import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * @Author: liweifan
 * @Data: 2022-06-09 17:27:11
 */
@ApiModel(value = "BbsFollowSearch对象", description = "关注查询对象")
public class BbsFollowSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("登录人id")
	private Long userId;

	@ApiModelProperty(value = "FOLLOW:关注，FANS:粉丝",required = true)
	@NotBlank(message = "类型不能为空")
	private String type;

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}